Skip to main content
POST
/
spakinect
/
gfe
/
location
/
{location_id}
/
sync
Sync Gfes
curl --request POST \
  --url https://api.decodahealth.com/spakinect/gfe/location/{location_id}/sync \
  --header 'API-KEY: <api-key>' \
  --header 'Content-Type: application/json' \
  --header 'TENANT: <tenant>' \
  --data '
{
  "gfesToImport": [
    {
      "spakinectGfeId": "<string>",
      "patientId": "<string>",
      "pdfLink": "<string>"
    }
  ],
  "gfesToCreatePatients": []
}
'
import requests

url = "https://api.decodahealth.com/spakinect/gfe/location/{location_id}/sync"

payload = {
"gfesToImport": [
{
"spakinectGfeId": "<string>",
"patientId": "<string>",
"pdfLink": "<string>"
}
],
"gfesToCreatePatients": []
}
headers = {
"TENANT": "<tenant>",
"API-KEY": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {TENANT: '<tenant>', 'API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
gfesToImport: [{spakinectGfeId: '<string>', patientId: '<string>', pdfLink: '<string>'}],
gfesToCreatePatients: []
})
};

fetch('https://api.decodahealth.com/spakinect/gfe/location/{location_id}/sync', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "imported": [],
  "createdWithPatients": [],
  "failed": []
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Headers

TENANT
string
required

The tenant you are making this request on behalf of

API-KEY
string
required

Your api key

Path Parameters

location_id
string
required

Body

application/json

Request to sync/import GFEs

gfesToImport
GFESyncImportItem · object[]
required
gfesToCreatePatients
GFESyncCreatePatientItem · object[]

Response

Successful Response

Response from sync import endpoint

imported
GFESyncImportedItem · object[]
createdWithPatients
GFESyncCreatedPatientItem · object[]
failed
GFESyncFailedItem · object[]